use 5.006;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my %options =
  (
    'NAME'		=> 'WWW::Yahoo::Briefcase',
    'VERSION_FROM'	=> 'lib/WWW/Yahoo/Briefcase.pm', # finds $VERSION
    'PREREQ_PM'		=> { WWW::Mechanize => 0.56,
			     URI => 0,
			     HTML::TableExtract => 0,
			     Exception::Class => 0,
			   },
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (AUTHOR     => 'Ken Neighbors <ken@nsds.com>') : ()),
  );

my $response =
  prompt( "Do you want to install 'ybc', the command line interface?", 'y' );
if ( $response =~ m!^y!i ) {
    $options{EXE_FILES} = [ 'bin/ybc' ];
    $options{PREREQ_PM}{WWW::Yahoo::Credentials} = 0.8;
    $options{PREREQ_PM}{LWP} = 0;
    $options{PREREQ_PM}{Getopt::ArgvFile} = 0;
}

WriteMakefile( %options );
